//<c>   Copyright 1997-2000 by Gerry J. Danen; all rights reserved.

//<t>   Change a parameter to uppercase

#include"gd_tools.h"


#define pgVERS_ "V1.11"
#define pgTITL_ "Change Command Line to Uppercase -> UP$.BAT"
#define pgCOPR_ "1997"


void    main( int argc, char *argv[] )
{
    UCHAR       p[1025] = "", tmplocation[FS_LEN], fname[FS_LEN] ;
    FILE        *bat ;

    tt_init( SHAREWARE_VERSION, 0, pgVERS_, pgTITL_, pgCOPR_ );
    logon(0);

    fl_get_pgm_def( tmplocation, "temp", "", YES );
    if ( ! strlen(tmplocation) )
    {
        logon(1);
        printf( "\n\aEnvironment variable or global .ini entry TEMP must be specified.\n" );
        exit( BAD_EXIT );
    }
    dr_mkdir( tmplocation, NO );                // create the directory, if needed

    CmdLine( p );                               // get the command line
    st_trim( p );                               // get rid of leading/trailing whitespace
    strupr( p );                                // make upprecase

    sprintf( fname, "%s\\%s", tmplocation, "UP$.BAT" );
    bat = fopen( fname, "w" );
    if ( bat == NULL )
    {
        logon(1);
        printf( "\n\aCannot create batch file: %s\n", fname );
        exit( 3 );
    }
    fprintf( bat, "@echo off\n set u=%s\n", p );
    fclose( bat );

    exit( GOOD_EXIT );
}
